Get A3 instrument daily history
Daily close history of an A3 instrument: price plus the derived metrics (TNA, TEA, monthly crawl, open interest and 1d variations). One row per trading day.
GET
/v1/market-data/a3/rates/historyRequest
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Access token in Bearer ACCESS_TOKEN format |
Not applicable: Path Parameters, Body.
Query Parameters
| Field | Type | Required | Description |
|---|---|---|---|
from | string (date) | No | Start date (inclusive) |
symbol | string | Yes | Symbol to fetch |
to | string (date) | No | End date (inclusive) |
Response
2XX Success
Status: 200 — History retrieved successfully
Returns an array of objects with these fields:
| Field | Type | Description |
|---|---|---|
symbol | string | Instrument symbol. |
date | string (date) | Trading day. |
type | string | Instrument type. One of: FUTURE, PUT_OPTION_ON_FUTURE, CALL_OPTION_ON_FUTURE, INDEX. |
subtype | string | Instrument subtype. One of: DOLLAR, AGRICULTURAL. |
opening_price | number | Opening price. |
closing_price | number | Closing price. |
settlement_price | number | Settlement price. |
last_trade_price | number | Last traded price. |
highest_daily_trade | number | Highest price traded that day. |
lowest_daily_trade | number | Lowest price traded that day. |
volume | number | Traded volume. |
volume_amount | number | Traded notional amount. |
open_interest_size | number | Open interest size. |
open_interest_size_close | number | Open interest size at close. |
open_interest_size_variation_1d | number | Change in open interest size since the previous close. |
percent_change | number | Percent change vs previous close (%). |
implicit_rate | number | Implicit rate (TNA, %). |
tea | number | Implicit rate converted to TEA (%). |
monthly_crawl | number | Implied monthly devaluation rate (%). |
days_to_maturity | integer | Days until the contract's maturity. |
maturity_date | string (date) | Contract maturity date. |
Error Codes
| Status | Description |
|---|---|
400 | Missing or invalid symbol |
401 | Missing or invalid authentication |
403 | Caller lacks the required role |
500 | Unexpected server error |
Code Example
- cURL
- JavaScript
- Python
- Node.js
curl -X GET "https://b2b.allaria.dev/v1/market-data/a3/rates/history?from=2026-01-01&symbol=DLR%2FMAY27&to=2026-09-22" \
-H "Authorization: Bearer ACCESS_TOKEN"
const response = await fetch('https://b2b.allaria.dev/v1/market-data/a3/rates/history?from=2026-01-01&symbol=DLR%2FMAY27&to=2026-09-22', {
method: 'GET',
headers: { 'Authorization': 'Bearer ACCESS_TOKEN' },
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://b2b.allaria.dev/v1/market-data/a3/rates/history?from=2026-01-01&symbol=DLR%2FMAY27&to=2026-09-22',
headers={ 'Authorization': 'Bearer ACCESS_TOKEN' },
)
print(response.json())
const axios = require('axios');
const response = await axios.get('https://b2b.allaria.dev/v1/market-data/a3/rates/history?from=2026-01-01&symbol=DLR%2FMAY27&to=2026-09-22', {
headers: { 'Authorization': 'Bearer ACCESS_TOKEN' },
});
console.log(response.data);
2XX Success
[
{
"symbol": "DLR/MAY27",
"date": "2026-09-22",
"type": "FUTURE",
"subtype": "DOLLAR",
"opening_price": 1440,
"closing_price": 1455,
"settlement_price": 1456.5,
"last_trade_price": 1455,
"highest_daily_trade": 1460,
"lowest_daily_trade": 1438,
"volume": 3500,
"volume_amount": 5093750,
"open_interest_size": 120000,
"open_interest_size_close": 119500,
"open_interest_size_variation_1d": 500,
"percent_change": 0.48,
"implicit_rate": 62.5,
"tea": 84.3,
"monthly_crawl": 2.1,
"days_to_maturity": 248,
"maturity_date": "2027-05-30"
}
]